%define upstream_name    NTLM
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    NTLM authentication module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildArch: noarch

%description
    This module provides methods to use NTLM authentication.  It can
    be used as an authenticate method with the Mail::IMAPClient module
    to perform the challenge/response mechanism for NTLM connections
    or it can be used on its own for NTLM authentication with other
    protocols (eg. HTTP).

    The implementation is a direct port of the code from F<fetchmail>
    which, itself, has based its NTLM implementation on F<samba>.  As
    such, this code is not especially efficient, however it will still
    take a fraction of a second to negotiate a login on a PII which is
    likely to be good enough for most situations.

FUNCTIONS
    * ntlm_domain()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-9.mga8
+ Revision: 1496093
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.90.0-8.mga7
+ Revision: 1270202
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.90.0-7.mga6
+ Revision: 1031347
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.90.0-6.mga6
+ Revision: 945876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 746384
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 685612
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513371
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.90.0-1.mga2
+ Revision: 222918
- imported package perl-NTLM


* Mon Mar 12 2012 cpan2dist 1.09-1mga
- initial mageia release, generated with cpan2dist
